<%@ Page Language="VB" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(Sender As Object, E As EventArgs)
    
        If Not Page.IsPostBack Then
    
            ' Databind the data grid on the first request only
            ' (on postback, rebind only in paging command)
    
            BindGrid()
    
        End If
    
    End Sub
    
    Sub DataGrid_Page(Sender As Object, e As DataGridPageChangedEventArgs)
    
        DataGrid1.CurrentPageIndex = e.NewPageIndex
        BindGrid()
    
    End Sub
    
    Sub BindGrid()
    
        Dim myConnection As New SqlConnection(application("cs"))
        Dim myCommand As New SqlDataAdapter("select rid,convert(char(10),rcvdate,101) RcvDate,convert(char(10),senddate,101) SendDate, subject, msg from reminders where uid = " & session("uid") & " order by senddate" , myConnection)
    
        Dim ds As New DataSet()
        myCommand.Fill(ds)
    
        DataGrid1.DataSource = ds
        DataGrid1.DataBind()
    
    End Sub

</script>
<html>
<head>
</head>
<body style="FONT-FAMILY: arial">
    <h2>Data Report with Paging 
    </h2>
    <hr size="1" />
    <form runat="server">
        <asp:datagrid id="DataGrid1" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="4" OnPageIndexChanged="DataGrid_Page" ForeColor="Black" BackColor="White" CellPadding="3" GridLines="None" CellSpacing="1" width="100%">
            <HeaderStyle font-bold="True" forecolor="White" backcolor="#4A3C8C"></HeaderStyle>
            <PagerStyle nextpagetext="Next" prevpagetext="Prev" horizontalalign="Right" backcolor="#C6C3C6" mode="NumericPages"></PagerStyle>
            <ItemStyle backcolor="#DEDFDE"></ItemStyle>
            <Columns>
                <asp:HyperLinkColumn DataNavigateUrlField="rid" DataNavigateUrlFormatString="updatereminder.aspx?rid={0}" DataTextField="rid" HeaderText="Rid"></asp:HyperLinkColumn>
                <asp:BoundColumn DataField="subject" HeaderText="Subject"></asp:BoundColumn>
                <asp:BoundColumn DataField="msg" HeaderText="Message">
                    <ItemStyle forecolor="Maroon"></ItemStyle>
                </asp:BoundColumn>
                <asp:BoundColumn DataField="senddate" HeaderText="Send Date"></asp:BoundColumn>
            </Columns>
        </asp:datagrid>
    </form>
</body>
</html>
